/*
 * This file is part of TechReborn, licensed under the MIT License (MIT).
 *
 * Copyright (c) 2018 TechReborn
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package techreborn.client.gui;

import com.mojang.blaze3d.platform.GlStateManager;
import net.minecraft.class_1074;
import net.minecraft.class_1703;
import net.minecraft.class_2585;
import net.minecraft.class_2960;
import net.minecraft.class_310;
import net.minecraft.class_465;

public class GuiDestructoPack extends class_465 {

	private static final class_2960 texture = new class_2960("techreborn",
		"textures/gui/destructopack.png");

	public GuiDestructoPack(class_1703 container) {
		super(container, class_310.method_1551().field_1724.field_7514, new class_2585("techreborn.destructopack"));
		this.field_2792 = 176;
		this.field_2779 = 166;
	}

	@Override
	protected void method_2389(float arg0, int arg1, int arg2) {
		this.renderBackground();
		GlStateManager.color4f(1.0F, 1.0F, 1.0F, 1.0F);
		this.minecraft.method_1531().method_4618(texture);
		blit(field_2776, field_2800, 0, 0, 176, 166);
	}

	@Override
	protected void method_2388(int arg0, int arg1) {
		String name = class_1074.method_4662("item.techreborn.part.destructoPack.name");
		font.method_1729(name, field_2792 / 2 - font.method_1727(name) / 2, 5, 4210752);
		this.font.method_1729(class_1074.method_4662("container.inventory"), 8, this.field_2779 - 96 + 2,
			4210752);
		super.method_2388(arg0, arg1);
	}

	@Override
	public void render(int mouseX, int mouseY, float partialTicks) {
		super.render(mouseX, mouseY, partialTicks);
		this.method_2380(mouseX, mouseY);
	}
}
