/*
 * This file is part of TechReborn, licensed under the MIT License (MIT).
 *
 * Copyright (c) 2018 TechReborn
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package techreborn.utils;

import techreborn.items.ItemDynamicCell;

import java.util.List;
import java.util.stream.Collectors;

import javax.annotation.Nonnull;
import net.minecraft.class_1799;
import net.minecraft.class_1856;
import net.minecraft.class_1860;
import net.minecraft.class_1937;
import net.minecraft.class_3956;

public class RecipeUtils {
	@Nonnull
	public static class_1799 getEmptyCell(int stackSize) {
		return ItemDynamicCell.getEmptyCell(stackSize);
	}
	
	/**
	 *
	 * Used to get the matching output of a recipe type that only has 1 input
	 *
	 */
	public static <T extends class_1860<?>> class_1799 getMatchingRecipes(class_1937 world, class_3956<T> type, class_1799 input){
		return getRecipes(world, type).stream()
			.filter(recipe -> recipe.method_8117().size() == 1 && ((class_1856)recipe.method_8117().get(0)).test(input))
			.map(class_1860::method_8110)
			.findFirst()
			.orElse(class_1799.field_8037);
	}
	
	public static <T extends class_1860<?>> List<class_1860<?>> getRecipes(class_1937 world, class_3956<T> type){
		return world.method_8433().method_8126().stream().filter(iRecipe -> iRecipe.method_17716() == type).collect(Collectors.toList());
	}
}
